package com.test.human.api;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.drools.SystemEventListenerFactory;
import org.jbpm.task.User;
import org.jbpm.task.service.TaskService;
import org.jbpm.task.service.TaskServiceSession;
import org.jbpm.task.service.mina.MinaTaskServer;

public class TaskServer {

	/**
	 * @param args
	 */
	public static final void main(String[] args) {
		
		try {
			
			
	      			
			EntityManagerFactory emfTask = Persistence.createEntityManagerFactory( "org.jbpm.task" );
			TaskService taskService = new TaskService(emfTask, SystemEventListenerFactory.getSystemEventListener());
			
			
			
			/*
	         * Add the required users 
	         */
	        TaskServiceSession taskSession = taskService.createSession();   
	        taskSession.addUser(new User("Administrator"));
	        taskSession.addUser(new User("krisv")); 
	        
	        /* Start Mina server for HT*/
	        MinaTaskServer server = new MinaTaskServer(taskService);
	        Thread thread = new Thread(server);
	        thread.start();
	        System.out.println("Server started ..."); 
	       
		
		} catch (Throwable t) {
			t.printStackTrace();
		}
	}


	
	

}
